Get Helm Registry Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/helm/registries/{registry_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/helm/registries/{registry_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/helm/registries/{registry_name} \
--header 'Authorization: Bearer <token>'{
"charts": [
{
"digest": "<string>",
"name": "<string>",
"package_url": "<string>",
"registry_name": "<string>",
"registry_url": "<string>",
"tgz_s3_link": "<string>",
"version": "<string>",
"app_version": "<string>",
"created": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"home_url": "<string>",
"icon": "<string>",
"is_deprecated": false,
"keywords": [
"<string>"
],
"maintainers": [
{
"email": "<string>",
"name": "<string>",
"url": "<string>"
}
],
"readme_s3_link": "<string>",
"registry_credential_name": "<string>",
"sources": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"values_s3_link": "<string>",
"values_schema_s3_link": "<string>"
}
],
"indexing": true,
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"registry": {
"name": "<string>",
"url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"credential_name": "<string>",
"delete_permanently": false,
"updated_at": "2023-11-07T05:31:56Z"
},
"last_indexed_at": "2023-11-07T05:31:56Z",
"last_sync_error": "<string>",
"next_sync_at": "2023-11-07T05:31:56Z",
"organisation_id": "<string>",
"read_job_interval": 123,
"recent_sync_jobs": [],
"resource_state": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Helm API
Get Helm Registry Endpoint
GET
/
api
/
v1
/
org
/
helm
/
registries
/
{registry_name}
Get Helm Registry Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/helm/registries/{registry_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/helm/registries/{registry_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/helm/registries/{registry_name} \
--header 'Authorization: Bearer <token>'{
"charts": [
{
"digest": "<string>",
"name": "<string>",
"package_url": "<string>",
"registry_name": "<string>",
"registry_url": "<string>",
"tgz_s3_link": "<string>",
"version": "<string>",
"app_version": "<string>",
"created": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"home_url": "<string>",
"icon": "<string>",
"is_deprecated": false,
"keywords": [
"<string>"
],
"maintainers": [
{
"email": "<string>",
"name": "<string>",
"url": "<string>"
}
],
"readme_s3_link": "<string>",
"registry_credential_name": "<string>",
"sources": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"values_s3_link": "<string>",
"values_schema_s3_link": "<string>"
}
],
"indexing": true,
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"registry": {
"name": "<string>",
"url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"credential_name": "<string>",
"delete_permanently": false,
"updated_at": "2023-11-07T05:31:56Z"
},
"last_indexed_at": "2023-11-07T05:31:56Z",
"last_sync_error": "<string>",
"next_sync_at": "2023-11-07T05:31:56Z",
"organisation_id": "<string>",
"read_job_interval": 123,
"recent_sync_jobs": [],
"resource_state": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Maximum string length:
253Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Maximum string length:
200Available options:
name_asc, name_desc, newest, oldest Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- OCIRegistry
- HTTPRegistry
Show child attributes
Show child attributes
Show child attributes
Show child attributes